
/*
Theme Name: twentyseventeen - Child
Theme URI: http://test.co.za;
Author: David Z Letswalo
Author URI: http://test.co.za/test
Description: Bootstrap based child theme
Template: twentyseventeen
Version: 1.0.0
*/


/*
************************************************************
*** DEFAULTS                                            ****                                    
************************************************************
*/
html, body {box-sizing: border-box;height: 100%;margin: 0;}
body {position: relative;padding-bottom: 60px;color:#41557b;font-family: roboto;}
/*main img { border: 0;max-width: 100%;height: auto;display: block;}*/
ol, ul {margin: 0;padding: 0;}
li{list-style: none}
a{transition: all ease-in 0.3s;}
a:hover{transition: all ease-out 0.6s;}
main a{color: #DAE2F1;}
main a:hover{color: #ffffff;}
h1,h2,h3,h4,h5,h6{margin:0px; padding:0px; text-transform:uppercase; margin: 5px 0px;}
h1{font-size: 4.5em; font-weight: 700;}
h2{font-size: 3.5em; font-weight: 400;}
h3{font-size: 2.8em; font-weight: 400;}
h4{font-size: 2em;   font-weight: 400;}
h5{font-size: 1.5em; font-weight: bold}
h6{font-size: 1.2em; font-weight: bold;}
h6{text-transform:capitalize!important;}
p{line-height:1.7em;}
.white-text,
.white-text h1,
.white-text h2,
.white-text h3,
.white-text h4,
.white-text h5,
.white-text h5,
.white-text p,
.white-text span{color:#ffffff;}
.blue-text{color:#41557b;}
.vertical-center {min-height: 100%;min-height: 60vh;display: flex;align-items: center;}

main ul {position: relative;}
main ul li {font-size: 16px;padding: 4px 0 4px 25px;}
main ul li::before {
    display: inline-block;
    left: 0;
    position: absolute;
    content: "-";
    font-weight: bold;
}

.empty-space{}
/*Swiper css*/
.swiper-container {
        width: 100%;
        min-height: 50px;
        margin: 20px auto;
    }
    .swiper-slide {
        text-align: center;
        background: inherit;
        width: 60%;
        /* Center slide text vertically */
        display: -webkit-box;
        display: -ms-flexbox;
        display: -webkit-flex;
        display: flex;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        -webkit-justify-content: center;
        justify-content: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        -webkit-align-items: center;
        align-items: center;
    }
    .swiper-slide:nth-child(2n) {
        width: 40%;
    }
    .swiper-slide:nth-child(3n) {
        width: 20%;
    }
/*
************************************************************
*** HEADERS                                             ****                                    
************************************************************
*/

main .page .header .headings h1 {
    color: #ffffff;
    text-shadow: 0 0 5px #555;
}
header {
    padding-top: 30px;
    padding-bottom: 30px;
    position: absolute;
    width: 100%;
}
header .logo {
    text-align: center;
}
.custom-logo {
    height: 100%;
    width: 100%;
    max-width: 240px;
}
header .menu {
    margin:30px 0px;
}
header .menu .navbar {
    border: inherit;
    margin:0px;
    min-height: inherit;
    position: relative;
}
header .menu ul#menu-primary-menu {
    background-color: #536787;
    padding: 0 20px;
    position: relative;
    z-index: 999999;
}
header .menu ul#menu-primary-menu li a{
   font-size: 16px;
   color: #ffffff;
   background-color: inherit;
   text-transform: uppercase;
}
header .menu ul#menu-primary-menu li a:hover,
header .menu ul#menu-primary-menu li a:focus{
    background-color: #3f547b;
    color: #ffffff;
    text-decoration: none;
}

header .menu ul#menu-primary-menu li.active {
    background-color: #3f547b;
}
.dropdown-menu {
    background-color: #536787;
    border:inherit;
    border-radius: inherit;
}

header .menu .navbar .navbar-toggle {
    background-color: blue;
    background-image: none;
    border: 2px solid #ffffff;
    border-radius:inherit;
    float: right;
    margin-bottom: 8px;
    margin-right: 15px;
    margin-top: 8px;
    padding: 9px 10px;
    position: relative;
}
.navbar-toggle .icon-bar{
    background-color: #fff;
}
@media (max-width: 767px){
    header .menu .navbar .navbar-toggle {
    background-color: #536787;
    background-image: none;
    border: 2px solid #ffffff;
    border-radius: inherit;
    display: block;
    float: none;
    margin: auto;
    padding: 9px 10px;
    }
    header .menu ul#menu-primary-menu {
    margin: 0;
    padding: 0;
    position: relative;
    width: 100%;
    z-index: 999999;
    }
    .dropdown-menu > li > a {
    clear: both;
    color: #333;
    display: block;
    font-weight: 400;
    line-height: 1.42857;
    margin: 0 auto;
    padding: 3px 20px;
    text-align: center;
    white-space: nowrap;
    width: 90%;
}
}
.navbar .navbar-nav {
    display: inline-block;
    float: none;
}

.navbar .navbar-collapse {
    text-align: center;
}
/*
************************************************************
*** NAVIGATION                                          ****                                    
************************************************************
*/

/*
************************************************************
*** MAIN                                               ****                                    
************************************************************
*/
.wrapper {min-height: 100%;}
main .page .header{
    min-height: 100vh;
    padding-top: 260px;
    margin-bottom: -50px;
    background-position: center 0px;
    background-repeat: no-repeat;
    background-size: cover; 

}
main .page .header .headings {
   /* margin: 50px 0;*/
    text-align: center;
    width: 100%;
}
main .page .header .headings h1,
main .page .header .headings h2{
    overflow-wrap: break-word;
}

main .page .header .headings h2{
    font-size: 35px;
    color: #ffffff;
    text-transform: lowercase;
}
/*Homepage */
    main#home .page .header .headings h1 {
        color: #41557b;
        text-shadow: inherit;
    }
    main#home .swiper-slide h5 {
    color: #90abdb;
}

/*Products Page*/
main#products{
    background-color: #c7d3e1;
}
.overlay-wrap{
    border: 0.5px solid #C7D3E1;
    padding: 0px;
    position: relative;
    overflow: hidden;
    width: 100%;
    background-color: #fff;
}
.overlay{
    background: rgba(51,69,105, 0.9);
    position: absolute;
    height: 100%;
    padding: 0px;
    top: 0;
    left:0;
    transition: all ease-out 0.8s;
    width: 0px;
}
/*.overlay-wrap:hover .overlay*/
.overlay-wrap:hover .overlay{
    width: 100%;
    transition: all ease-in-out 0.6s;
}
/*.overlay-wrap:hover .overlay-body*/
.overlay-wrap:hover .overlay-body{
    opacity:1;
    transition: all ease-in-out 0.6s;
    display: block;
    margin-left: 0px;
}
.blur{
    transition: all ease-in 0.6s;
}
img.blur {
/*    width: 100%;
    min-height: 350px;*/
}
/*.overlay-wrap:hover .blur*/
.overlay-wrap:hover .blur{
    filter: blur(5px);
    transition: all ease-in-out 0.6s;
}
.overlay-body{
    padding: 30px;
    text-align: center;
    margin-left: -300px;
    color: #ffffff;
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    overflow-y: scroll;
    height: 100%;
}
.overlay a{
     color: #DAE2F1;

}
/*Contact us page*/

main#contact .lead-text p{
    font-size: 18px;
}
main#contact .lead-text a{
    color: #DAE2F1;
}
.form-group {
    display: table;
    margin-bottom: 15px;
    width: 100%;
}
.form-group p {
    color: #ffffff;
    font-size: 18px;
    margin: 15px 0 5px;
    text-transform: uppercase;
}
.submit {
    background-color: #41557b;
    border: inherit;
    color: #ffffff;
    font-size: 18px;
    height: 40px;
    margin: 0;
    max-width: 160px;
    padding: 8px 12px;
    width: 100%;
    transition: all ease-in 0.3s;
}
.submit:hover {
    background-color: #344262;
    transition: all ease-out 0.6s;
}
span.wpcf7-not-valid-tip {
    color: #910c0c;
    display: block;
    font-size: 12px;
    font-weight: normal;
    margin: -5px 0 10px;
}
.form-control {
    background-color: #fff;
    background-image: none;
    border: medium none;
    border-radius: inherit;
    box-shadow: inherit;
    color: #798CAC;
    display: block;
    font-size: 14px;
    line-height: inherit;
    min-height: 40px;
    padding: 5px 15px;
    transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
    width: 100%;
}
.form-control:focus {
    border-color: #344262;
}

/*404 page*/
.search-submit {
    background-color: inherit;
    border: inherit;
    display: block;
    font-size: 0;
    margin: 0 auto;
    max-width: 300px;
    width: 100%;
}
/*
************************************************************
*** FOOTER                                              ****                                    
************************************************************
*/
footer {
    
}
footer .top {
    background-color: #dae2f1;
    padding: 30px 0;
}
footer .top .logo .custom-logo {
    display: block;
    height: 100%;
    margin: 0 auto;
    max-width: 210px;
}
footer .top .menu {
    padding: 10px 0px;
}
footer .top .menu ul,
footer .top .social ul {
    text-align: center;
}
footer .top .menu ul li,
footer .top .social ul li {
    display: inline-block;
    margin-right: 10px;
}
footer .top .menu ul li:last-child {
    margin-right: 0px;
}
footer .bottom {
    background-color: #41557b;
    padding: 15px 0;
}
footer .bottom .textwidget {
    color: #fff;
    font-size: 12px;
    margin: 0;
    padding: 10px;
    text-align: center;
}

/*
************************************************************
*** BUTTONS | LINKS | FORMS | LISTS   TABLES             ****                                    
************************************************************
*/

form input {
    margin-bottom: 10px;
}

/*
************************************************************
*** OVERRIDES                                           ****                                    
************************************************************
*/
/*Hide Swiper arows until replaced*/
.swiper-button-prev, .swiper-container-rtl .swiper-button-next,
.swiper-button-next, .swiper-container-rtl .swiper-button-prev{
    background-image: inherit;

}
.dropdown-menu > .active > a, .dropdown-menu > .active > a:focus, .dropdown-menu > .active > a:hover {
    background-color: inherit;
}
/*@media (max-width: 1048px) {
    .container {
        width: 100%;
    }

}
@media (min-width: 10px) {
    .container {
        width: 1048px!important;
    }

}
@media (min-width: 1200px) {
    .container {
        width: 700px;
    }
}*/
@media(max-width:680px){
    h1{font-size: 3.5em; font-weight: 700;}
    h2{font-size: 2.7em; font-weight: 400;}
    h3{font-size: 2.2em; font-weight: 400;}
    /*h4{font-size: 2em;   font-weight: 400;}
    h5{font-size: 1.5em; font-weight: bold}
    h6{font-size: 1.2em; font-weight: bold;}
    h6{text-transform:capitalize!important;}
    p{line-height:1.7em;}*/

    main .page .header {
        margin-bottom: 0px;
    }
    .vertical-center {
    min-height: 40vh;
    }
    main .vc_row .responsive {
    padding-left: 7%!important;
    padding-right: 7%!important;
    }
    main .responsive .wpb_column {
    padding-top: 30px;
}

}

#map{
    height: 500px;
}